<?/*
Autor: Lic. Carlos Alberto Vaca Coronado
Version: 3.2.2
Cambio: Se agregaron 3 funciones: open_w,close_w, maximizar_w que se encontraban en otro archivo.
*/

?>

<script>
<?if(trim(@$_GET['modulo']) == "RECUERDAPASS"){?>
$j_6(document).ready(function() {
		
		$j_6("#closeModal").live('click',function () {
					$j_6('#loadModal').html('');
					$j_6('#loadModal-content').hide();
					$j_6('#ventanaModal').hide();
					$j_6('#loading').hide();
		});
		
});
<?}?>
function descargar(nombreArchivo,ruta,status){
if(status=="C"){
	if(!confirm('El documento esta cancelado. Desea continuar?'))
		return false;
}

$j_6.post("enviaDatosDescarga.php", { id: nombreArchivo,ruta: ruta },function(data){
	$j_6('#result').html(data);
});
}

function reprocesar(rfcemisor,tipodocto,serie,folio,uuid,rfcreceptor){
	if(confirm('Realmente desea volver a validar el documento?')){
		$j_6.post("extras/reprocesar.php", { rfcemisor: rfcemisor, tipodocto: tipodocto, serie: serie, folio: folio, uuid: uuid, rfcreceptor: rfcreceptor },function(data){
			$j_6('#result').html(data);
		});
	}
}

function cancelar(rfc,docto,serie,folio,uuid){
$j_6('#loading').show();
$j_6.post("cancelaDocumento.php", { rfc: rfc,docto: docto, serie: serie, folio: folio, uuid: uuid },function(data){
	$j_6('#result').html(data);
	$j_6('#result').fadeIn('slow');
	$j_6('#loading').hide();
});
}
function delDoc(id,rfc,docto,serie,folio,uuid){
$j_6('#loading').show();
$j_6.post("eliminaDocumento.php", { id: id, rfc: rfc,docto: docto, serie: serie, folio: folio, uuid: uuid },function(data){
	$j_6('#result').html(data);
	$j_6('#loading').hide();
});
}
function showHide(id,id2,id3,id4,id5,id6){
	id = typeof(id) != 'undefined' ? id : false;
	id2 = typeof(id2) != 'undefined' ? id2 : false;
	id3 = typeof(id3) != 'undefined' ? id3 : false;
	id4 = typeof(id4) != 'undefined' ? id4 : false;
	id5 = typeof(id5) != 'undefined' ? id5 : false;
	
	if(id && id2 && id3 && id4 && id5 && id6){
		$j_6.post("showHide.php", { id: id, id2: id2, id3: id3, id4: id4, id5: id5, id6: id6 },function(data){
			$j_6('#descargaXML_PDF').html(data);
			$j_6('#loading').hide();	
		});
		return true;
	}
	
	if(id){
		$j_6.post("showHide.php", { id: id },function(data){
			$j_6('#descargaXML_PDF').html(data);
			$j_6('#loading').hide();	
		});
		return true;
	}
	alert('Faltan argumentos en el metodo showHide');
	$j_6('#loading').hide();
}

function changeStatusABSA(id,id2,id3,id4,id5,id6,id7){
	id = typeof(id) != 'undefined' ? id : false;
	id2 = typeof(id2) != 'undefined' ? id2 : false;
	id3 = typeof(id3) != 'undefined' ? id3 : false;
	id4 = typeof(id4) != 'undefined' ? id4 : false;
	id5 = typeof(id5) != 'undefined' ? id5 : false;
        id6 = typeof(id6) != 'undefined' ? id6 : false;
        id7 = typeof(id7) != 'undefined' ? id7 : false;
	if(id && id2 && id3 && id4 && id5 && id6){
		$j_6.post("changeStatusABSA.php", { id: id, id2: id2, id3: id3, id4: id4, id5: id5, id6: id6, id7: id7 },function(data){
			$j_6('#eventosAjax').html(data);
			$j_6('#loading').hide();	
		});
		return true;
	}
	alert('Faltan argumentos en el metodo changeStatusABSA');
	$j_6('#loading').hide();
}

function asignarUsuario(id,id2,id3,id4,id5){
	id = typeof(id) != 'undefined' ? id : false;
	id2 = typeof(id2) != 'undefined' ? id2 : false;
	id3 = typeof(id3) != 'undefined' ? id3 : false;
	id4 = typeof(id4) != 'undefined' ? id4 : false;
	id5 = typeof(id5) != 'undefined' ? id5 : false;
	$j_6.messager.confirm('Confirmar.','Esta seguro de asignarse el documento<br/>RFC: '+id+'<br/>Tipo Documento: '+id2+'<br/>Serie: '+id3+'<br/>Folio: '+id4+'<br/>UUID: '+id5+'<br/>Importante: El cambio es irreversible',function(r){
		if(r){
			if(id && id2){
			$j_6.post("asignarUsuario.php", { id: id, id2: id2, id3: id3, id4: id4, id5: id5 },function(data){
				$j_6('#eventosAjax').html(data);
				$j_6('#loading').hide();	
			});
			return true;
			}
				alert('Faltan argumentos en el metodo asignarUsuario');
		}
		$j_6('#loading').hide();
	});
	
}


function borrar(php,id,id2,id3,id4){
	php = typeof(php) != 'undefined' ? php : false;
	id = typeof(id) != 'undefined' ? id : false;
	id2 = typeof(id2) != 'undefined' ? id2 : false;
	id3 = typeof(id3) != 'undefined' ? id3 : false;
	id4 = typeof(id4) != 'undefined' ? id4 : false;

	$j_6('#loading').show();
	if(php && id && id2 && id3){
		$j_6.post(php, { id: id,id2: id2, id3: id3 },function(data){
			$j_6('#eliminar_archivo').html(data);
			$j_6('#loading').hide();	
		});
	return true;
	}
	if(php && id){
		$j_6.post(php, { id: id,id2: id2, id3: id3, id4: id4 },function(data){
			$j_6('#eliminar_archivo').html(data);
			$j_6('#loading').hide();
		});
	return true;
	}
	alert('Faltan argumentos en el metodo borrar');
	$j_6('#loading').hide();

}
function tools(php,id,id2,id3){
	$j_6('#loading').show();
	php = typeof(php) != 'undefined' ? php : false;
	id = typeof(id) != 'undefined' ? id : false;
	id2 = typeof(id2) != 'undefined' ? id2 : false;
	id3 = typeof(id3) != 'undefined' ? id3 : false;

	if(php && id && id2 && id3){
		$j_6('#cuerpo').load(php,{id: id, id2: id2, id3: id3});
		$j_6('#loading').hide();
	return true;
	}

	if(php && id && id2){
		$j_6('#cuerpo').load(php,{id: id, id2: id2});
		$j_6('#loading').hide();	
	return true;
	}

	if(php && id){
		$j_6('#cuerpo').load(php,{id: id});
		$j_6('#loading').hide();	
	return true;
	}
	
	if(php){
		$j_6('#cuerpo').load(php);
		$j_6('#loading').hide();	
	return true;
	}
	
	alert('No estan definidos los parametros');

}

function loadDiv(php,div,id,id2,id3,id4,id5,id6,id7){
	
	$j_6('#loading').show();
	php = typeof(php) != 'undefined' ? php : false;
	div = typeof(div) != 'undefined' ? div : false;
	
	if(php && div){
		
		id = typeof(id) != 'undefined' ? id : "";
		id2 = typeof(id2) != 'undefined' ? id2 : "";
		id3 = typeof(id3) != 'undefined' ? id3 : "";
		id4 = typeof(id4) != 'undefined' ? id4 : "";
		id5 = typeof(id5) != 'undefined' ? id5 : "";
		id6 = typeof(id6) != 'undefined' ? id6 : "";
		id7 = typeof(id7) != 'undefined' ? id7 : "";
		$j_6('#'+div).load(php,{id: id, id2: id2, id3: id3, id4: id4, id5: id5, id6: id6, id7: id7});
		$j_6('#loading').hide();
		return true;
		
	}
	
	
	alert('No estan definidos los parametros');

}

function collapseLeft(elemento,clase,no_img,panel,titulo){
    if(elemento.id == "collapse_"+panel+"_show"){
        redimensiona(350,true,$j_6('#cuerpo').width());
        $j_6('.'+clase).show('slow');
        elemento.id='collapse_'+panel+'_hide';
        elemento.src='Imagenes/showCollapse'+no_img+'.png';
        elemento.title='Ocultar Panel '+titulo;
        
        
        
    }else if(elemento.id == "collapse_"+panel+"_hide"){
        $j_6('.'+clase).hide('slow');
        elemento.id='collapse_'+panel+'_show';
        elemento.src='Imagenes/hideCollapse'+no_img+'.png';
        elemento.title='Mostrar Panel '+titulo;
        
        redimensiona(330,false,$j_6('#cuerpo').width());

    }
}

function redimensiona(width,ban,wCuerpo){
    $j_6.post('selectGrid.php',{},function(data){
                if(document.getElementById(data)){
                    $j_6('#'+data).setGridWidth(0);
                    //resize to our container's width
                    if(ban)
                        $j_6('#'+data).setGridWidth(wCuerpo-width);
                    else
                        $j_6('#'+data).setGridWidth(wCuerpo+width);
                }
            });
}

function collapseMenuLeft(div){
    if(document.getElementById(div+'_show')){
        $j_6('#'+div+'_show').show('slow');
        var e = document.getElementById(div+'_show');
        e.id=div+'_hide';
    }else{
        $j_6('#'+div+'_hide').hide('slow');
        var e = document.getElementById(div+'_hide');
        e.id=div+'_show';
    }
}
function selectFondo(img,div,id,dir){
    document.getElementById(div+'_img'+id).src="Imagenes/"+dir+"/"+img;
    document.getElementById(div+id).value=img;
}
function ocultarDiv(div){
    $j_6('#'+div).hide();
}

function iniRotar(div,tipo,dir,arrImgs,x){
	setTimeout(function(){rotarImagenes(div,tipo,dir,arrImgs,x);},500);
	//"rotarImagenes(div,tipo,dir,arrImgs,x)"
}
function rotarImagenes(div,tipo,dir,arrImgs,x){

	//setTimeout("fadeOutImg()",50);
	$j_6('#'+div).fadeOut(2500);
	setTimeout(function(){fadeInImg(div,tipo,dir,arrImgs,x);},2500);
	//"fadeInImg('"+div+"','"+tipo+"','"+dir+"','"+arrImgs+"','"+x+"')"
	
	/*color=0;
	color2=110;
	suma=4;*/
}
function fadeInImg(div,tipo,dir,arrImgs,x){
	if(tipo=="S")
		$j_6('#'+div).html('<img width="550" height="100px" src="Imagenes/'+dir+'/'+arrImgs[x]+'" />');
	else
		$j_6('#'+div).html('<img src="Imagenes/'+dir+'/'+arrImgs[x]+'" />');
	
	//setTimeout("aparecer()",50);
	$j_6('#'+div).fadeIn(2500);
	
		x++;
	if(x == (arrImgs.length-1)){
		x=0;
	}
	/*if(idImg==3){
		idImg=1;
	}else{
		idImg++;
	}*/
	setTimeout(function(){rotarImagenes(div,tipo,dir,arrImgs,x);},3000);
	// "rotarImagenes('"+div+"','"+tipo+"','"+dir+"','"+arrImgs+"','"+x+"')"
}

function close_w(){
	$j_6("#windowVal").window("close");
}
function open_w(){
	$j_6('#windowVal').window({
		title: '&nbsp;&nbsp;&nbsp;',
		width: 800,
		modal: true,
		shadow: true,
		closed: true,
		minimizable: false,
		height: 400
	});
	$j_6('#windowVal').window('open');
}
function maximizar_w(){
	$j_6('#windowVal').window('maximize');
	//window.print();
}

function quitarEspacios(valor) {
    return valor.replace(/^\s+|\s+$/gm,'');
}

function enviaNotificacionDePago(uuid,rfc){
    if(quitarEspacios(uuid) != ""){
        $j_6.messager.confirm("Confirmar","¿Desea enviar la notificación de pago al proveedor?",function(r){
            if(r){
                $j_6.post("formularios/extras/getCorreosProveedor.php",{rfc: rfc},function(j){
                    try{
                        var data = JSON.parse(j);
                        if(data.error == -1){
                            $j_6.messager.alert("Error",data.mensaje,"error");
                        }else{
                            if(data.correo == "" || data.correo == null){
                                $j_6.messager.confirm("Confirmar","¿No se encontro el correo del proveedor. Desea ingresarlo manualmente?",function(r){
                                    if(r){
                                        $j_6.messager.prompt("Ingresar","Ingrese el correo de notificación.",function(c){
                                            if(quitarEspacios(c) == ""){
                                                $j_6.messager.alert("Error.","Debe de indicar el correo.","error");
                                                return false;
                                            }else{
                                                $j_6.post("formularios/extras/envia_notificacion_pago.php",{doce_uuid: uuid, correo: c},function(data){
                                                    $j_6("#result").html(data);
                                                });
                                            }
                                        });
                                    }else{
                                        return false;
                                    }
                                });
                            }else{
                                $j_6.post("formularios/extras/envia_notificacion_pago.php",{doce_uuid: uuid, correo: data.correo},function(data){
                                    $j_6("#result").html(data);
                                });
                            }
                        }
                    }catch(e){
                        alert(e.message);
                    }
                });

            }
        });
    }else{
        $j_6.messager.alert("Error","Debe de guardar primero el documento.","error");
    }
}

function enviaNotificacionCancelacionDePago(uuid,rfc){
    if(quitarEspacios(uuid) != ""){
        $j_6.messager.confirm("Confirmar","¿Desea enviar la notificación de cancelación de pago al proveedor?",function(r){
            if(r){
                $j_6.post("formularios/extras/getCorreosProveedor.php",{rfc: rfc},function(j){
                    try{
                        var data = JSON.parse(j);
                        if(data.error == -1){
                            $j_6.messager.alert("Error",data.mensaje,"error");
                        }else{
                            if(data.correo == "" || data.correo == null){
                                $j_6.messager.confirm("Confirmar","¿No se encontro el correo del proveedor. Desea ingresarlo manualmente?",function(r){
                                    if(r){
                                        $j_6.messager.prompt("Ingresar","Ingrese el correo de notificación.",function(c){
                                            if(quitarEspacios(c) == ""){
                                                $j_6.messager.alert("Error.","Debe de indicar el correo.","error");
                                                return false;
                                            }else{
                                                $j_6.post("extras/enviarNotificacionCancelacionPago.php",{doce_uuid: uuid, correo: c},function(data){
                                                    $j_6("#result").html(data);
                                                });
                                            }
                                        });
                                    }else{
                                        return false;
                                    }
                                });
                            }else{
                                $j_6.post("extras/enviarNotificacionCancelacionPago.php",{doce_uuid: uuid, correo: data.correo},function(data){
                                    $j_6("#result").html(data);
                                });
                            }
                        }
                    }catch(e){
                        alert(e.message);
                    }
                });

            }
        });
    }else{
        $j_6.messager.alert("Error","Debe de especificar el documento.","error");
    }
}

</script>